package sun.reflect;

import java.lang.reflect.InvocationTargetException;

class DelegatingConstructorAccessorImpl extends ConstructorAccessorImpl
{
    private ConstructorAccessorImpl delegate;
    
    DelegatingConstructorAccessorImpl(ConstructorAccessorImpl delegate) {
        this.setDelegate(delegate);
    }
    
    @Override
    public Object newInstance(Object[] array) throws InstantiationException, IllegalArgumentException, InvocationTargetException {
        return this.delegate.newInstance(array);
    }
    
    void setDelegate(ConstructorAccessorImpl delegate) {
        this.delegate = delegate;
    }
}
